Skip to main content
GET
/
api
/
v3
/
answer-engine
/
{engine_id}
/
threads
/
{thread_id}
/
history
Get Thread History
curl --request GET \
  --url https://api.nugen.in/api/v3/answer-engine/{engine_id}/threads/{thread_id}/history \
  --header 'Authorization: Bearer <token>'
{
  "answer_engine_id": "<string>",
  "thread_id": "<string>",
  "history": []
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

engine_id
string
required

Unique answer engine identifier

thread_id
string
required

Thread identifier (conv_thread_id)

Response

Returns the full conversation history for the specified thread

Response containing the full conversation history for a specific thread.

answer_engine_id
string
required
thread_id
string
required
history
AnswerEngineHistoryEntry · object[]